Get Disputed Balances
get
/disputeBalance
Gets the disputed balances that match the specified query criteria.
Request
Query Parameters
-
@type: string
The type of object to return. Use @type=DisputeBalance for a base object. Use @type=DisputeBalanceOracle for an extended object.
-
bill.id: string
Retrieves disputes for the bill with the specified bill item ID or bill number.Examples
-
billEvent.id: string
Retrieves disputes for the specified bill event.Examples
-
billItem.id: string
Retrieves disputes for the bill item with the specified bill item ID or bill item number.Examples
-
billStructure.id:
-
billingCycleSpecification.id: string
Retrieves disputes for the billing cycle specification with the specified ID.Examples
-
confirmationDate: string
Retrieves disputes with a confirmationDate that is equal to the specified date and time.Examples
-
confirmationDate.gt: string
Retrieves disputes with a confirmationDate that is greater than the specified date and time.Examples
-
confirmationDate.gte: string
Retrieves disputes with a confirmationDate that is greater than or equal to the specified date and time.Examples
-
confirmationDate.lt: string
Retrieves disputes with a confirmationDate that is less than the specified date and time.Examples
-
confirmationDate.lte: string
Retrieves disputes with a confirmationDate that is less than or equal to the specified date and time.Examples
-
fields: string
The list of comma-separated fields to return in the response.Examples
-
id: string
Retrieves the dispute with the specified ID or dispute number.Examples
-
limit: integer
The maximum number of results to return.Examples
-
offset: integer
The number of results to offset the response by.Examples
-
partyAccount.id: string
Retrieves the disputes associated with the brm account ID, external account ID or account number.Examples
-
requestedDate: string
Retrieves disputes with a requestedDate that is equal to the specified date and time.Examples
-
requestedDate.gt: string
Retrieves disputes with a requestedDate that is greater than the specified date and time.Examples
-
requestedDate.gte: string
Retrieves disputes with a requestedDate that is greater than or equal to the specified date and time.Examples
-
requestedDate.lt: string
Retrieves disputes with a requestedDate that is less than the specified date and time.Examples
-
requestedDate.lte: string
Retrieves disputes with a requestedDate that is less than or equal to the specified date and time.Examples
-
status: string
Retrieves disputes by status.Examples
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json;charset=utf-8
200 Response
The disputed balances were retrieved successfully.
Headers
-
X-Result-Count:
The number of items returned in the response body.
-
X-Total-Count:
The total number of items that matched the criteria.
Root Schema : schema
Type:
Show Source
array-
Array of:
object Dispute Balance Oracle
Title:
Dispute Balance OracleA disputed balance, extended for BRM REST Services Manager.
Nested Schema : Dispute Balance Oracle
Type:
objectTitle:
Dispute Balance OracleA disputed balance, extended for BRM REST Services Manager.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
actionType: string
Title:
Action TypeAllowed Values:[ "BillDispute", "ItemDispute", "EventDispute" ]The type of balance being disputed: BillDispute, ItemDispute, or EventDispute. -
amount: object
Quantity
Represents an amount in a specified unit.
-
bill(required): object
Bill Ref
Title:
Bill RefA reference to a bill. -
billEvent: array
billEvent
The events are associated with the dispute.
-
billingCycleSpecification(required): object
Billing Cycle Specification Ref Oracle
Title:
Billing Cycle Specification Ref OracleA reference to a billing cycle specification, extended for BRM REST Services Manager. -
billItem: array
billItem
The bill items associated with the dispute.
-
billStructure: object
Bill Structure Ref
Title:
Bill Structure RefA reference to a bill structure, extended for BRM REST Services Manager. -
confirmationDate: string
(date-time)
Title:
Confirmation DateThe date the dispute was confirmed. -
description: string
Title:
Dispute DescriptionThe dispute's description. -
discount: string
Title:
DiscountA discount associated with the dispute. -
disputeNo: string
Title:
Dispute NumberThe dispute number to display on a bill. -
href(required): string
Title:
HrefThe disputed balance's href. -
id(required): string
Title:
Dispute IDThe disputed balance's ID. -
partyAccount: object
Party Account Ref
Title:
Party Account RefA reference to a party account. -
reason: string
Title:
Dispute ReasonThe reason for the dispute. -
requestedDate: string
(date-time)
Title:
Requested DateThe date the request was made. -
settlementId: string
Title:
Settlement IDThe ID of the settlement associated with the dispute. -
status: string
Title:
StatusAllowed Values:[ "Settled", "Open" ]The dispute's status: Settled or Open. -
taxAmount: object
Quantity
Represents an amount in a specified unit.
-
taxTreatment: string
Title:
Tax TreatmentAllowed Values:[ "TaxIncluded", "TaxExcluded", "TaxOnly" ]The status of taxes on the dispute: TaxIncluded, TaxExcluded, or TaxOnly.
Nested Schema : Quantity
Type:
objectRepresents an amount in a specified unit.
Show Source
-
amount: number
(double)
Default Value:
1The numeric value in the specified unit. -
units: string
The unit.
Nested Schema : Bill Ref
Type:
objectTitle:
Bill RefA reference to a bill.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe actual type of the target instance when needed for disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
Title:
Bill HrefThe bill's href. -
id: string
Title:
Bill IDThe bill's ID.
Nested Schema : billEvent
Type:
arrayThe events are associated with the dispute.
Show Source
-
Array of:
object BillEvent Dispute Oracle
Title:
BillEvent Dispute OracleA disputed bill event.
Nested Schema : Billing Cycle Specification Ref Oracle
Type:
objectTitle:
Billing Cycle Specification Ref OracleA reference to a billing cycle specification, extended for BRM REST Services Manager.
Show Source
-
href: string
Title:
HrefThe billing cycle specification's href. -
id: string
Title:
IDThe billing cycle specification's ID. -
name: string
Title:
NameThe billing cycle specification's name.
Nested Schema : billItem
Type:
arrayThe bill items associated with the dispute.
Show Source
-
Array of:
object BillItem Dispute Oracle
Title:
BillItem Dispute OracleA disputed bill item (AppliedCustomerBillingRate).
Nested Schema : Bill Structure Ref
Type:
objectTitle:
Bill Structure RefA reference to a bill structure, extended for BRM REST Services Manager.
Show Source
-
href: string
Title:
HrefThe bill structure's href. -
id: string
Title:
IDThe bill structure's ID. -
name: string
Title:
NameThe bill structure's name.
Nested Schema : Party Account Ref
Type:
objectTitle:
Party Account RefA reference to a party account.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe object's type in the target system, if baseType and type need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
description: string
Title:
DescriptionThe party account's description. -
href: string
Title:
HrefThe party account's href. -
id(required): string
Title:
Account IDThe party account's ID. -
name: string
Title:
NameThe party account's name. -
status: string
Title:
StatusThe overall status of the account. For example: due, paid, or in arrears.
Nested Schema : BillEvent Dispute Oracle
Type:
objectTitle:
BillEvent Dispute OracleA disputed bill event.
Show Source
-
adjustmentAmount: object
Money
Represents a monetary amount.
-
href: string
Title:
HrefThe disputed event's href. -
id: string
Title:
IdThe disputed event's ID. -
name: string
Title:
NameThe disputed event's name. -
originalCharge: object
Money
Represents a monetary amount.
Nested Schema : Money
Type:
objectRepresents a monetary amount.
Show Source
-
unit: string
The currency's ISO 4217 three-letter code.
-
value: number
(double)
A signed floating-point number whose sign depends on the API context.
Nested Schema : BillItem Dispute Oracle
Type:
objectTitle:
BillItem Dispute OracleA disputed bill item (AppliedCustomerBillingRate).
Show Source
-
adjustmentAmount: object
Money
Represents a monetary amount.
-
href(required): string
Title:
HrefThe disputed item's href. -
id(required): string
Title:
IdThe disputed item's ID. -
name(required): string
Title:
NameThe disputed item's name. -
originalCharge: object
Money
Represents a monetary amount.
400 Response
The request isn't valid.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
401 Response
The client doesn't have the correct privileges.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
403 Response
The request wasn't authorized.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
404 Response
The requested resource couldn't be found.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
405 Response
This method is not allowed.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
409 Response
The request could not be processed due to the conflict with the existing state of the resource.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
500 Response
The system encountered an internal error.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
Examples
The following example shows how to get disputed balances by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.
This request uses the bill.id query parameter set to a bill number to show disputed balances for the specified bill. You can also set the bill.id query parameter to a bill POID.
curl -X GET 'http://host:port/brm/prepayBalanceManagement/version/disputeBalance?bill.id=B1-3'
Response Body
The following example shows the contents of the response body in JSON format.
{
"id": "0.0.0.1+-item-dispute+56959",
"href": "http://host:port/brm/prepayBalanceManagement/version/disputeBalance/0.0.0.1+-item-dispute+56959",
"actionType": "BillDispute",
"disputeNo": "D1-24",
"amount": {
"amount": -40.0,
"units": "USD",
"@baseType": null,
"@schemaLocation": null,
"@type": null
},
"taxAmount": null,
"reason": "1",
"description": "",
"partyAccount": {
"id": "0.0.0.1+-account+56028",
"href": null,
"description": null,
"name": "Adam Baker",
"status": null,
"@baseType": null,
"@schemaLocation": null,
"@type": null,
"@referredType": null
},
"discount": null,
"taxTreatment": "TaxExcluded",
"confirmationDate": "2025-06-24T23:31:13-07:00",
"requestedDate": "2025-06-24T23:31:13-07:00",
"billingCycleSpecification": {
"id": "0.0.0.1+-billinfo+53724",
"href": "http://host:port/brm/accountManagement/version/billingCycleSpecification/0.0.0.1+-billinfo+53724",
"name": "Bill Unit(1)"
},
"bill": {
"id": "B1-3",
"href": "http://host:port/brm/customerBillManagement/version/customerBill/B1-3",
"@baseType": null,
"@schemaLocation": null,
"@type": "BillRef",
"@referredType": "CustomerBill"
},
"billItem": [
{
"id": "0.0.0.1+-item-misc+55612",
"href": "http://host:port/brm/customerBillManagement/version/appliedCustomerBillingRate/0.0.0.1+-item-misc+55612",
"name": "Usage",
"originalCharge": {
"unit": "USD",
"value": 10.0
},
"disputeAmount": {
"unit": "USD",
"value": -0.71
}
},
{
"id": "0.0.0.1+-item-cycle_forward+55484",
"href": "http://host:port/brm/customerBillManagement/version/appliedCustomerBillingRate/0.0.0.1+-item-cycle_forward+55484",
"name": "Cycle forward",
"originalCharge": {
"unit": "USD",
"value": 20.65
},
"disputeAmount": {
"unit": "USD",
"value": -18.65
}
},
{
"id": "0.0.0.1+-item-cycle_forward+56380",
"href": "http://host:port/brm/customerBillManagement/version/appliedCustomerBillingRate/0.0.0.1+-item-cycle_forward+56380",
"name": "Cycle forward",
"originalCharge": {
"unit": "USD",
"value": 20.64
},
"disputeAmount": {
"unit": "USD",
"value": -20.64
}
}
],
"billEvent": null,
"status": "Open",
"settlementId": null,
"@baseType": "DisputeBalanceOracle",
"@schemaLocation": null,
"@type": "DisputeBalanceOracle"
}